rm(list=ls())
mydata = read.csv(file="result_combined_power.csv")
mydata$fourpl = as.factor(mydata$fourpl)
levels(mydata$fourpl)[2] = "ANOVA"
mydata$rep = as.factor(mydata$rep)
mydata$error = as.factor(mydata$error )
source(file = "tplot.R")

op = par()

pdf(file="boxplots_upper.pdf")

par(las=2, mar=c(4,6.5,1,1)+0.1, mfrow=c(2,2))

mysubset = mydata[mydata$upper==-20,]
tplot(l3power~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for upper asymp. = -20")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$upper==-10,]
tplot(l3power~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for upper asymp. = -10")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$upper==10,]
tplot(l3power~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for upper asymp. = 10")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$upper==20,]
tplot(l3power~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for upper asymp. = 20")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
dev.off()

pdf(file="boxplots_slope.pdf")

par(las=2, mar=c(4,6.5,1,1)+0.1, mfrow=c(2,2))

mysubset = mydata[mydata$slope==-1,]
tplot(l1power~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for slope = -1")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$slope==-.5,]
tplot(l1power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for slope = -0.5")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$slope==.5,]
tplot(l1power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for slope = 0.5")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$slope==1,]
tplot(l1power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for slope = 1")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
dev.off()

pdf(file="boxplots_lower.pdf")

par(las=2, mar=c(4,6.5,1,1)+0.1, mfrow=c(2,2))

mysubset = mydata[mydata$lower==-10,]
tplot(l2power~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for lower asymp. = -10")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$lower==-5,]
tplot(l2power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for lower asymp. = -5")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$lower==5,]
tplot(l2power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for lower asymp. = 5")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$lower==10,]
tplot(l2power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for lower asymp. = 10")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
dev.off()

pdf(file="boxplots_ed50.pdf")

par(las=2, mar=c(4,6.5,1,1)+0.1, mfrow=c(2,2))

mysubset = mydata[mydata$ed50==-1,]
tplot(l4power~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for ED50 = -1")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$ed50==-.5,]
tplot(l4power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for ED50 = -0.5")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$ed50==0.5,]
tplot(l4power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for ED50 = 0.5")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
mysubset = mydata[mydata$ed50==1,]
tplot(l4power ~rep*fourpl*error, data = mysubset, horizontal=TRUE, jit=.01, type="bd", ylim=c(0,1), ylab="Power for ED50 = 1")
segments(-0.1,3.5,  1.1,3.5)
segments(-0.1,6.5,  1.1,6.5)
segments(-0.1,9.5,  1.1,9.5)
dev.off()

par(op)

